/*
 *   Spectrum Digital Test code
 *   Copyright (c) 1997.
 *   Spectrum Digital, Inc
 *   ALL RIGHTS RESERVED
*/

/*
 * The memory mapping in this file should match the mapping in the
 * EMUINIT.CMD file in the load directory
 */



                                       /* specify memory map */
MEMORY
{
	PAGE 0 :                                         /* program memory */
		VECS: origin = 00000h, length = 0003Fh 
		PVECS: origin =   40h , length = 100h  /* Peripheral Interrupt Vectors */
		CODE: origin = 00140h, length = 07000h
	PAGE 1 :                                         /* data memory */
          Ext_Ram : origin = 08000h, length = 08000h
}

                                       /* specify sections */
SECTIONS
{
  vectors    :	  > VECS PAGE = 0
  .pvecs     :    > PVECS PAGE = 0
  .text      :    > CODE PAGE = 0
  .switch    :    > CODE PAGE = 0
/*
  .const: load = CODE PAGE 0, run = Ext_Ram PAGE 1
  			{
	  			__const_run =.;
  				*(.c_mark)
  				*(.const)
  				__const_length = .- __const_run;
  			}
*/  
  .data      :    > Ext_Ram PAGE = 1
  .bss       :    > Ext_Ram PAGE = 1
  .heap      :    > Ext_Ram PAGE = 1
  .stack     :    > Ext_Ram PAGE = 1
}

