rem LICENSE:
rem  =========================================================================
rem    CMDragons'03 RoboCup F180 Firmware Source Code Release
rem  -------------------------------------------------------------------------
rem    Copyright (C) 2003 Manuela Veloso, Brett Browning, Mike Bowling,
rem                       James Bruce; {mmv, brettb, mhb, jbruce}@cs.cmu.edu
rem    School of Computer Science, Carnegie Mellon University
rem  -------------------------------------------------------------------------
rem    This software is distributed under the GNU General Public License,
rem    version 2.  If you do not have a copy of this licence, visit
rem    www.gnu.org, or write: Free Software Foundation, 59 Temple Place,
rem    Suite 330 Boston, MA 02111-1307 USA.  This program is distributed
rem    in the hope that it will be useful, but WITHOUT ANY WARRANTY,
rem    including MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
rem  ------------------------------------------------------------------------- 
@echo off

if "%1"=="" goto usage
if "%MYDIR%"=="" goto usage

set RUNDIR=c:\specdig\prg2xx\lf2407a
echo *****************************
echo testing....
call %RUNDIR%\btest.bat
if errorlevel 1 goto errsimple

echo *****************************
echo clearing....
call %RUNDIR%\clr_all.bat
if errorlevel 1 goto err

echo *****************************
echo erasing....
call %RUNDIR%\er_all.bat
if errorlevel 1 goto err

echo *****************************
echo programming...
call %RUNDIR%\prog.bat %MYDIR%\%1
cd  %MYDIR%
if errorlevel 1 goto err
goto end

:usage
echo usage is: p {output filename without extension}
echo must set MYDIR to point to your directory

goto end
:errsimple
echo *
echo *
echo ERROR!!!! The JTAG has a problem. It is okay to turn it off.
goto end

:err
echo *
echo *
echo !!!!!!!!!ERROR!!!!!!!!!
echo !!!!!!!!!ERROR!!!!!!!!!
echo do *not* turn of the robot. See Brett immediately!!
echo !!!!!!!!!ERROR!!!!!!!!! 
echo !!!!!!!!!ERROR!!!!!!!!! 

:end
cd  %MYDIR%
